package com.atguigu.auth.service;

import com.atguigu.model.system.SysMenu;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 菜单表 服务类
 * </p>
 *
 * @author bunny
 * @since 2024-04-23
 */
public interface SysMenuService extends IService<SysMenu> {

    /**
     * 获取菜单
     *
     * @return 菜单列表
     */
    List<SysMenu> findNodes();
}
